Subject: [ippm] On hybrid performance measurement

From: Brian Trammell <[email-masked]>
Date: Mon, 3 Sep 2012 08:37:09 +0200

Greetings, all,

As I mentioned briefly at the microphone in Paris, I'm interested in making (certain) IPPM metrics usable for passive and hybrid (passive+active) measurement, in order to support real-time and retrospective performance measurement in heterogeneous environments (i.e., where it is not always possible to set up active performance measurement infrastructure, and where some metrics must be derived from already-available data sources).

This work would consist of (1) selecting a set of metrics defined within IPPM and (2) defining passive measurement methods which result in values comparable to those determined through active measurements. Additionally, I'd like to investigate (3) the definition of standard export methods which would allow collection of these metrics from (possibly widely) distributed observation points, whether passive or active. IPFIX is the technology I lean toward here, as I have some experience with it; this would probably consist of the definition of new Information Elements within the IPFIX IANA registry.

If there's a face-to-face meeting in Atlanta, I'd like to give a more detailed presentation on this, in order to gauge WG interest in this work. 

Best regards,

Brian